Core APIReferenceVaults

/vaults/volume-history

Get daily volume history for all vaults for the given date range

GET
/vaults/volume-history

Get daily volume history for all vaults for the given date range

Query Parameters

startDate?|

Unix timestamp in seconds

endDate?|

Unix timestamp in seconds

Default1787550977
live?string
Deprecated

DEPRECATED: Use status instead. Legacy status filter. true returns active vaults; false returns non-active vaults. Ignored when status is provided.

Defaulttrue
status?string

Filter vaults by CMS status. Defaults to active. Use all to include every vault regardless of CMS status.

Value in

  • "active"
  • "disabled"
  • "coming_soon"
  • "hidden"
  • "all"

Response Body

application/json

application/json

curl -X GET "https://example.com/vaults/volume-history"
{  "data": [    {      "vaultAddress": "string",      "history": [        {          "day": 0,          "volume24h": 0        }      ]    }  ]}